Pertanyaan 16.04: Bagaimana cara mendapatkan paket intel-microcode yang direkomendasikan untuk memperbaiki masalah hyper-threading?


Milis Debian memiliki posting yang relevan untuk beberapa pengguna Skylake dan Kaby Lake: [PERINGATAN] Prosesor Intel Skylake / Kaby Lake: kerusakan hyper-threading

Pengguna harus dijalankan

grep name /proc/cpuinfo | sort -u

untuk mendapatkan rincian prosesor mereka dan kemudian memeriksa http://ark.intel.com/products/codename/37572/Skylake atau http://ark.intel.com/products/codename/82879/Kaby-Lake sewajarnya.

Jika prosesor mereka terdaftar, mereka harus menjalankan selanjutnya

grep -q '^flags.*[[:space:]]ht[[:space:]]' /proc/cpuinfo && \
echo "Hyper-threading is supported"


18
2018-06-26 13:44


asal


Intel-microcode DAN pembaruan BIOS diperlukan untuk memperbaiki masalah ini. Periksa situs web pabrikan komputer Anda untuk pembaruan BIOS. - heynnema
Sayangnya, diskusi dengan dukungan Acer menunjukkan bahwa mereka akan segera merilis pembaruan BIOS tetapi tidak satu pun dari mereka akan dapat digunakan untuk linux karena semuanya akan menjadi executable Windows. Jadi bagi sebagian dari kita, pembaruan BIOS tidak mungkin dilakukan. - David Scott
Jadi gunakan perintah: lscpu | grep -e Model -e Step -e ^CPU\(s\) -e Thread - david6
Perbaikan telah dilakukan untuk saluran yang diusulkan di Ubuntu 17.04; Lihat bugs.launchpad.net/ubuntu/xenial/+source/intel-microcode/+bug/…. - edwinksl
Seperti yang Anda lihat di sini: launchpad.net/ubuntu/+source/intel-microcode/… ada membangun untuk xenial-diusulkan, yang dapat Anda instal dengan wget "https://launchpad.net/ubuntu/+source/intel-microcode/3.20170707.1~ubuntu16.04.0/+build/13159263/+files/intel-microcode_3.20170707.1~ubuntu16.04.0_amd64.deb" dan dpkg -i intel-microcode_3.20170707.1~ubuntu16.04.0_amd64.deb. - fxtentacle


Jawaban:


Instal paket resmi terbaru secara manual. yaitu untuk OS 64-bit:

wget http://ftp.us.debian.org/debian/pool/non-free/i/intel-microcode/intel-microcode_3.20170511.1~bpo8+1_amd64.deb
sudo dpkg -i intel-microcode_3.20170511.1~bpo8+1_amd64.deb

Reboot mesin, dan Anda sudah siap. JUGA, Anda perlu menginstal pembaruan BIOS terbaru dari komputer Anda. Konsultasikan dengan pabrikan komputer Anda untuk pembaruan BIOS resmi terbaru.


5
2018-06-26 16:50



Bagaimana BIOS terkait? BIOS baru mungkin memiliki microcode baru. Dalam hal ini Anda tidak perlu deb. - Pilot6
@ Pilot6 Tidak 100% pasti. Hanya dengan apa yang saya temukan di pos hanya sejauh ini (situs lain) yang memiliki instruksi konkret untuk menyelesaikan ini. - DevNull
saya ingin merekomendasikan tidak melakukan ini. Lihat wiki.debian.org/DontBreakDebian#Don.27t_make_a_FrankenDebian - Kal


Anda dapat menginstal paket itu untuk artful.

Paket ini berisi firmware biner. Ini adalah rilis independen.


3
2018-06-26 13:54



"Ini rilis independen." Itu tidak sepenuhnya benar menurut beberapa orang di saluran Freenode #ubuntu. Alasan mengapa beberapa rilis Ubuntu tertinggal dengan paket intel-microcode adalah karena versi yang lebih baru dari intel-microcode memerlukan dukungan kernel yang tepat. Inilah sebabnya mengapa Anda melihat Trusty masih memiliki paket intel-microcode lama meskipun Trusty adalah rilis LTS dan itu seharusnya masih didukung. - Kal


Anda dapat menginstal pembaruan bios menggunakan windows pe.

Media pengaturan Windows berisi windows pe. Cmd shell dapat dinaikkan dengan menekan shift + f10 untuk mengakses BIOS executable yang dapat dijalankan.


0
2018-06-28 07:05